This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 133458 - "rpc: ldap [NOTFOUND=return] files" bugs "rpc.mountd"
"rpc: ldap [NOTFOUND=return] files" bugs "rpc.mountd"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-24 02:20 EDT by Frederic Chalons
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.6-34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 20:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frederic Chalons 2004-09-24 02:20:04 EDT
Description of problem:

Cannot start mountd if I use replace my nsswitch.ldap as is by
nsswitch.ldap provided in /usr/share/doc/nss_ldap-217/

While only using ldap for authentification, I thought the "ldap
[NOTFOUND=return] files" would behave like "files" until ldap provide
those information.

Version-Release number of selected component (if applicable):
nss_ldap-217 from FC2 x86_64 standard installation

How reproducible:
Always

Steps to Reproduce:
1. Fresh install of FC2 x86_64 with LDAP server RPM
2. cp /usr/share/doc/nss_ldap-217/nsswitch.ldap /etc/nsswitch.conf
3. service ldap start
4. run /usr/sbin/rpc.mountd
  
Actual results:
1.Segmentation fault
2.service nfs restart:
   mountd failed to start

Expected results:
no Segmentation fault when executing rpc.mount
ability to start mountd

Additional info:
Changing "rpc: ldap [NOTFOUND=return] files" line to "rpc: ldap files"
solved it.
Anyway, I will specify "ldap" only on the line I require ;)
Comment 1 Matthew Miller 2005-04-26 11:03:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Nalin Dahyabhai 2005-04-26 20:02:54 EDT
Looks like this was fixed in the 1.0.6-34 cleanups.

Note You need to log in before you can comment on or make changes to this bug.